# LangevinIntegrator Class Reference

This is an Integrator which simulates a System using Langevin dynamics. More...

Inheritance diagram for LangevinIntegrator:

List of all members.

## Public Member Functions
def | getTemperature
| getTemperature(LangevinIntegrator self) -> double
def | setTemperature
| setTemperature(LangevinIntegrator self, double temp)
def | getFriction
| getFriction(LangevinIntegrator self) -> double
def | setFriction
| setFriction(LangevinIntegrator self, double coeff)
def | getRandomNumberSeed
| getRandomNumberSeed(LangevinIntegrator self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(LangevinIntegrator self, int seed)
def | step
| step(LangevinIntegrator self, int steps)
def | __init__
| __init__(OpenMM.LangevinIntegrator self, double temperature, double frictionCoeff, double stepSize) -> LangevinIntegrator __init__(OpenMM.LangevinIntegrator self, LangevinIntegrator other) -> LangevinIntegrator
def | __del__
| __del__(OpenMM.LangevinIntegrator self)
## Public Attributes
| this

## Detailed Description

This is an Integrator which simulates a System using Langevin dynamics.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.LangevinIntegrator self)

Reimplemented from Integrator.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.LangevinIntegrator self, double temperature, double frictionCoeff, double stepSize) -> LangevinIntegrator __init__(OpenMM.LangevinIntegrator self, LangevinIntegrator other) -> LangevinIntegrator

Create a LangevinIntegrator.

Parameters:

  | temperature | the temperature of the heat bath (in Kelvin)
  | frictionCoeff | the friction coefficient which couples the system to the heat bath (in inverse picoseconds)
  | stepSize | the step size with which to integrator the system (in picoseconds)

def getFriction | ( |  | self | ) |

getFriction(LangevinIntegrator self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(LangevinIntegrator self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def getTemperature | ( |  | self | ) |

getTemperature(LangevinIntegrator self) -> double

Get the temperature of the heat bath (in Kelvin).

def setFriction | ( |  | self,
|  |  | args |
| ) |  |  |

setFriction(LangevinIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Parameters:

  | coeff | the friction coefficient, measured in 1/ps

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(LangevinIntegrator self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def setTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setTemperature(LangevinIntegrator self, double temp)

Set the temperature of the heat bath (in Kelvin).

Parameters:

  | temp | the temperature of the heat bath, measured in Kelvin

def step | ( |  | self,
|  |  | args |
| ) |  |  |

step(LangevinIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Reimplemented from Integrator.

## Member Data Documentation

this

Reimplemented from Integrator.

The documentation for this class was generated from the following file:

- openmm.py